Bug 1674895 - freecad: FTBFS in Fedora rawhide/f30
Summary: freecad: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freecad
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1675987
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 17:12 UTC by Fedora Release Engineering
Modified: 2019-03-29 19:20 UTC (History)
4 users (show)

Fixed In Version: freecad-0.18-1.fc29 freecad-0.18-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 02:58:52 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 17:12 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 17:12 UTC, Fedora Release Engineering
no flags Details
state.log (617 bytes, text/plain)
2019-02-11 17:13 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 17:12:56 UTC
freecad failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32384546


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix freecad at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
freecad will be orphaned. Before branching of Fedora 31,
freecad will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 17:12:58 UTC
Created attachment 1529963 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 17:12:59 UTC
Created attachment 1529964 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 17:13:01 UTC
Created attachment 1529965 [details]
state.log

Comment 4 Jonathan Wakely 2019-02-11 21:20:41 UTC
BUILDSTDERR: CMake Error at /usr/share/cmake/Modules/FindBoost.cmake:2100 (message):
BUILDSTDERR:   Unable to find the requested Boost libraries.
BUILDSTDERR:   Boost version: 1.69.0
BUILDSTDERR:   Boost include path: /usr/include
BUILDSTDERR:   Could not find the following Boost libraries:
BUILDSTDERR:           boost_signals

Boost.Signals library has been removed from the version of Boost in rawhide. The code should be ported to use Boost.Signals2 (or if the check is unnecessary, just stop checking for Boost.Signals).

Comment 5 Richard Shaw 2019-02-13 12:10:37 UTC
This is fixed in the 0.18 prerelease but in order to build that I need a few other packages fixed include shiboken, and tweaks to Pivy, pyside, and pyside-tools.

Comment 6 Fedora Update System 2019-03-19 15:35:13 UTC
freecad-0.18-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-97a53d87e2

Comment 7 Fedora Update System 2019-03-19 15:35:24 UTC
freecad-0.18-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-059a29f7b8

Comment 8 Fedora Update System 2019-03-20 22:02:09 UTC
freecad-0.18-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-97a53d87e2

Comment 9 Fedora Update System 2019-03-21 19:11:44 UTC
freecad-0.18-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-059a29f7b8

Comment 10 Fedora Update System 2019-03-24 21:44:31 UTC
freecad-0.18-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a6c57e547f

Comment 11 Fedora Update System 2019-03-25 03:49:12 UTC
freecad-0.18-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a6c57e547f

Comment 12 Fedora Update System 2019-03-29 02:58:52 UTC
freecad-0.18-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-03-29 19:20:13 UTC
freecad-0.18-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.